video
from0.14 / s
Happy Horse 1.0
Happy Horse 1.0 - Image to Video. Configured Alibaba route; cloned from hh/image-to-video.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "alibaba/happy-horse/image-to-video", { input: { "duration": 5, "image_url": "https://example.com/input.jpg", "resolution": "720p" }, withPolling: true, },); console.log(result);Calling the API
Use alibaba/happy-horse/image-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "alibaba/happy-horse/image-to-video", { input: { "duration": 5, "image_url": "https://example.com/input.jpg", "resolution": "720p" }, withPolling: true, },); console.log(result);Request parameters
promptstring · optional
Write your prompt here
{
"type": "string",
"title": "Prompt",
"description": "Write your prompt here"
}image_urlstring · required
Image URL
{
"type": "string",
"title": "Image URL",
"format": "uri"
}durationinteger · optional
Duration
Default: 5
{
"type": "integer",
"title": "Duration",
"default": 5,
"maximum": 15,
"minimum": 2
}resolutionstring · optional
resolution
Options: 720p, 1080p
Default: "720p"
{
"enum": [
"720p",
"1080p"
],
"type": "string",
"default": "720p"
}seedinteger · optional
seed
{
"type": "integer",
"maximum": 2147483646,
"minimum": 1
}Price
From $0.1400 per second.
View all pricing